type-info.h File Reference
SPA » Buffers

`spa/buffer/type-info.h` More...

Go to the source code of this file.

## Macros

#define | SPA_TYPE_INFO_Buffer SPA_TYPE_INFO_POINTER_BASE "Buffer"
#define | SPA_TYPE_INFO_BUFFER_BASE SPA_TYPE_INFO_Buffer ":"
#define | SPA_TYPE_INFO_Data SPA_TYPE_INFO_ENUM_BASE "Data"
| Buffers contain data of a certain type. More...
#define | SPA_TYPE_INFO_DATA_BASE SPA_TYPE_INFO_Data ":"
#define | SPA_TYPE_INFO_DATA_Fd SPA_TYPE_INFO_DATA_BASE "Fd"
| base type for fd based memory More...
#define | SPA_TYPE_INFO_DATA_FD_BASE SPA_TYPE_INFO_DATA_Fd ":"
#define | SPA_TYPE_INFO_Meta SPA_TYPE_INFO_POINTER_BASE "Meta"
#define | SPA_TYPE_INFO_META_BASE SPA_TYPE_INFO_Meta ":"
#define | SPA_TYPE_INFO_META_Array SPA_TYPE_INFO_META_BASE "Array"
#define | SPA_TYPE_INFO_META_ARRAY_BASE SPA_TYPE_INFO_META_Array ":"
#define | SPA_TYPE_INFO_META_Region SPA_TYPE_INFO_META_BASE "Region"
#define | SPA_TYPE_INFO_META_REGION_BASE SPA_TYPE_INFO_META_Region ":"
#define | SPA_TYPE_INFO_META_ARRAY_Region SPA_TYPE_INFO_META_ARRAY_BASE "Region"
#define | SPA_TYPE_INFO_META_ARRAY_REGION_BASE SPA_TYPE_INFO_META_ARRAY_Region ":"

## Variables

static const struct spa_type_info | spa_type_data_type []
static const struct spa_type_info | spa_type_meta_type []

## Detailed Description

`spa/buffer/type-info.h`